> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/es/integraciones/overview/social/youtube.md).

# YouTube

El paso de integración de YouTube te permite recuperar subtítulos de los videos de tu propio canal de YouTube. Esta integración permite reutilizar contenido al extraer texto de tu biblioteca de videos para usarlo en artículos, resúmenes y otros formatos de contenido.

### Cómo configurar el paso de integración de YouTube

#### Tipo de acción

**Recuperar subtítulos del video**: Extrae subtítulos/transcripción de tu video de YouTube

#### URL o ID del video

Ingresa el ID del video de YouTube de tu canal:

* ID del video: `dQw4w9WgXcQ`

#### Campos clave de salida

* `full_text`: Subtítulos completos como una sola cadena
* `transcript`: Arreglo de segmentos de subtítulos con marca de tiempo
* `video_title`: Título de tu video
* `video_id`: Identificador del video de YouTube

### Casos de uso comunes

* Transforma el contenido del video en entradas de blog
* Genera resúmenes y puntos clave del video
* Crea notas del programa para episodios de pódcast
* Extrae citas para contenido de redes sociales
* Crea contenido قابل búsqueda a partir de tu biblioteca de videos

**Nota:** Debes autenticar tu cuenta de YouTube en Configuración de AirOps > Integraciones antes de usar este paso.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/es/integraciones/overview/social/youtube.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
